summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO21
-rw-r--r--PKGBUILD26
2 files changed, 47 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..4593bd431ee
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,21 @@
+pkgbase = xfishtank
+ pkgdesc = Fish swimming across your Root Window
+ pkgver = 2.5
+ pkgrel = 1
+ url = http://jim.rees.org/computers/xfishtank.html
+ arch = i686
+ arch = x86_64
+ license = custom
+ makedepends = imake
+ depends = libx11
+ depends = libxext
+ depends = libxcb
+ depends = libxau
+ depends = libxdmcp
+ depends = imlib2
+ depends = libpng
+ source = http://jim.rees.org/computers/xfishtank.tar.gz
+ md5sums = 3aadec19d46d9ab1a115185428c19c1b
+
+pkgname = xfishtank
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..f8261a1dbc8
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,26 @@
+# Maintainer: Jim Rees at rees.org
+
+pkgname=xfishtank
+pkgver=2.5
+pkgrel=1
+pkgdesc="Fish swimming across your Root Window"
+arch=('i686' 'x86_64')
+url="http://jim.rees.org/computers/xfishtank.html"
+license=('custom')
+depends=('libx11' 'libxext' 'libxcb' 'libxau' 'libxdmcp' 'imlib2' 'libpng')
+makedepends=('imake')
+source=(http://jim.rees.org/computers/xfishtank.tar.gz)
+md5sums=('3aadec19d46d9ab1a115185428c19c1b')
+
+build() {
+ cd "$srcdir/$pkgname"
+ xmkmf
+ make || return 1
+}
+
+package() {
+ cd "$srcdir/$pkgname"
+ make install DESTDIR=${pkgdir}
+ mkdir -p ${pkgdir}/usr/share/licenses/"$pkgname"
+ install -m 644 LICENSE ${pkgdir}/usr/share/licenses/"$pkgname"/LICENSE
+}